#!/bin/sh
# $Id: BetJava_wrapper.sh,v 1.2 2010/04/29 14:59:15 cguirao Exp $

# Provides a wrapper to BetJava/bin executable forcing them to 
# use JDK 1.6

JDK=jdk1.6.0_06
RPM=dfs-jdk16-1.0-2.i386.rpm
DESTDIR=../BetJava/bin

if [ ! -d /opt/$JDK ]; then
  echo "/opt/$JDK does not exist."
  echo "Please ask your sysadmin to install RPM $RPM first"
  exit 1
fi 

executable=`basename $0`
dir=`dirname $0`
dir=`cd $dir/$DESTDIR; echo $PWD`

# execute 
export JAVA_HOME=/opt/$JDK
export PATH=/opt/$JDK/bin:$PATH
exec $dir/$executable $*
